Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.designtime.internal.provisional.symbols
Class DefaultBeanSymbolSourceProvider

    java.lang.Object
      org.eclipse.jst.jsf.designtime.internal.provisional.symbols.DefaultBeanSymbolSourceProvider

public class DefaultBeanSymbolSourceProvider
extends java.lang.Object

Self-factory provider of bean symbol information for a particular project. Context is determined by querying all known managed beans declared in a web project. Client may sub-class

Constructor Summary
`protected` | `DefaultBeanSymbolSourceProvider()` No external instantiation Left protected to allow sub-classing

Method Summary
`static DefaultBeanSymbolSourceProvider` | `getInstance()`
`ISymbol` | `getSymbol(java.lang.String name, org.eclipse.core.runtime.IAdaptable context, int symbolScopeMask)`
`ISymbol[]` | `getSymbols(org.eclipse.core.runtime.IAdaptable context, int symbolScopeMask)`
`ISymbol[]` | `getSymbols(java.lang.String prefix, org.eclipse.core.runtime.IAdaptable context, int symbolScopeMask)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBeanSymbolSourceProvider

    protected DefaultBeanSymbolSourceProvider()

  No external instantiation Left protected to allow sub-classing

Method Detail

### getInstance

    public static DefaultBeanSymbolSourceProvider getInstance()

  Returns:
    the singleton instance of the provider

### getSymbols

    public ISymbol[] getSymbols(org.eclipse.core.runtime.IAdaptable context,
                                int symbolScopeMask)

  Parameters:
    `context` -
    `symbolScopeMask` -
  Returns:
    all bean symbols for the context at scopes matching symbolScopeMask

### getSymbol

    public ISymbol getSymbol(java.lang.String name,
                             org.eclipse.core.runtime.IAdaptable context,
                             int symbolScopeMask)

  Parameters:
    `name` -
    `context` -
    `symbolScopeMask` -
  Returns:
    the symbol called name, in context/symbolScope

### getSymbols

    public ISymbol[] getSymbols(java.lang.String prefix,
                                org.eclipse.core.runtime.IAdaptable context,
                                int symbolScopeMask)

  Parameters:
    `prefix` -
    `context` -
    `symbolScopeMask` -
  Returns:
    all symbols for context and symbolScopeMask that start with prefix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD